using System.Globalization;
using Godot;

namespace Game;

[SceneTree]
public partial class CompanyStatsContainer : FoldableContainer
{
    public override void _Ready()
    {
        EventBus.CompanyChanged += UpdateCompanyStats;
    }

    private void UpdateCompanyStats(Company.CompanyStats companyStats)
    {
        HypeValue.Text = companyStats.Hype.ToString();
        MoneyValue.Text = $"${companyStats.Money.ToString("N0", CultureInfo.CurrentCulture)}";
        WorkersValue.Text = companyStats.Workers.ToString("N0", CultureInfo.CurrentCulture);
        RunwayValue.Text = companyStats.Runway.ToString();
    }
}
